Bug 98232 - Missing help for control points of shapes
Summary: Missing help for control points of shapes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2016-02-27 15:58 UTC by Stanislav Horacek
Modified: 2021-08-18 10:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2016-02-27 15:58:17 UTC
In context menu of a shape, choose "Position and Size" and go to the "Slant & Corner Radius" tab. Position of control points can be set here, but this is not mentioned on the corresponding help page:
https://help.libreoffice.org/Common/Slant_and_Corner_Radius

This is a new feature in 5.1.
Comment 1 Adolfo Jayme 2016-02-28 00:16:11 UTC
→ NEW
Comment 2 Commit Notification 2020-09-24 17:29:00 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/ec4da5345618568209a24eaa3f589947765da896

tdf#98232 Add info on control points for object corners
Comment 3 Commit Notification 2020-09-25 13:17:20 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/91a282844417fcfebcd4d496d8bac05026faff7a

tdf#98232 More on control points
Comment 4 sdc.blanco 2020-10-05 20:28:10 UTC
Have been trying, without success to follow latest 7.1 help.  
Bug or Documentation problem?

Problems

1.  Corner radius is only active for textbox.  Always greyed out for shapes.

2.  Slant angle can be entered for textbox, but is not saved and has no effect.
(it works for shapes.)

3. Cannot set control points for textboxes or shapes (of any kind).  
Spinboxes can be change, but after OK and reopen dialog, values are reset to zero, and no control points shown.  (One exception, "rounded rectangle" starts with a Control 1 - X is present, but cannot change Control 1 - Y, or Control 2 (x and y))
Comment 5 Rafael Lima 2021-08-17 21:26:16 UTC
> 1.  Corner radius is only active for textbox.  Always greyed out for shapes.

I have just tested that in LO 7.2 and indeed corner radius is available only for textboxes (actually SvxShapeText objects).

If someone can confirm that this is the way it was supposed to be, I can update the Help page to highlight that "corner radius" is only applicable to text boxes.

Currently the help page says "You can only round the corners of a rectangular object." however the option was not available for any rectangular shape besides text boxes.

> 2.  Slant angle can be entered for textbox, but is not saved and has no
> effect.

I guess this is something that can be updated in the documentation, saying that Textboxes do not support this option.

However, IMO if textboxes really do not support "Slant angle" then the option should be greyed out.

> 3. Cannot set control points for textboxes or shapes (of any kind).  
> Spinboxes can be change, but after OK and reopen dialog, values are reset to
> zero, and no control points shown.  (One exception, "rounded rectangle"
> starts with a Control 1 - X is present, but cannot change Control 1 - Y, or
> Control 2 (x and y))

Here I believe there are 2 problems:

(1) the documentation should mention that some shapes have 0, 1 or 2 control points. If the shape has 1 control point, the second one will have no effect nor will it be saved.

(2) IMO if a shape has one control point, the spinboxes for Control Point 2 should be automatically greyed out to avoid confusion with users.

In summary, I believe the dialog needs some rework to automatically detect which options should be available to users based on the selected object.
Comment 6 Regina Henschel 2021-08-18 10:58:23 UTC
(In reply to Rafael Lima from comment #5)
> > 1.  Corner radius is only active for textbox.  Always greyed out for shapes.
> 
> I have just tested that in LO 7.2 and indeed corner radius is available only
> for textboxes (actually SvxShapeText objects).

It is active too for legacy rectangles and for the other objects besides the text box in the "Text" toolbar.
> 
> Currently the help page says "You can only round the corners of a
> rectangular object." however the option was not available for any
> rectangular shape besides text boxes.

See above.

> 
> > 2.  Slant angle can be entered for textbox, but is not saved and has no
> > effect.
> 
> I guess this is something that can be updated in the documentation, saying
> that Textboxes do not support this option.
> 
> However, IMO if textboxes really do not support "Slant angle" then the
> option should be greyed out.

Indeed, they do not support shearing.

[..]
> In summary, I believe the dialog needs some rework to automatically detect
> which options should be available to users based on the selected object.

I support the idea of reorganizing that dialog. My idea would be to move the shear angle to tab "Rotation" and gray it out there if not applicable. That tab could be named "Rotation and Shearing" then.
And then have a tab "Object specific", which shows those additional settings, which are only applicable to the selected object, and has no grayed out parts at all. Such tab can have the corner radius for the objects from toolbars "Legacy Rectangle" and "Text", can have the fields for the adjustment values for custom shapes with handles, and can have the coordinates of the defining points for dimension lines, and it is not shown at all, if no such object specific settings exist.